For the complete documentation index, see llms.txt.
Address Book
GET
/api/addressbook/filteredGet Filtered Addresses
Retrieve a list of contacts that is stored in your address book. Results are sorted by specified column and returned one page at a time.
Address Book
Manage address book records used when creating and shipping orders.
4 related endpoints
Endpoint
Endpoint URL
https://api.starshipit.com/api/addressbook/filtered
Details
Retrieve a list of contacts that is stored in your address book. Results are sorted by specified column and returned one page at a time.
Request Parameters
Get Filtered Addresses Response
Get Addresses - Address Model
Response examples
Get Filtered Addresses - First 50 addresses (200)
{
"addresses": [
{
"id": 6862437,
"name": "Add Address Test",
"company": "My Company",
"building": "Bigg Tall Building",
"street": "55 Bourke St",
"suburb": "Melbourne",
"post_code": "3000",
"city": "Melbourne",
"state": "VIC",
"country": "Australia",
"code": "111",
"telephone": "9879879876 ",
"email": "test@starshipit.com"
}
],
"total_count": 40,
"success": true
}